Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.explorer.propertysheet
Class PropertySheetSettings

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.options.SystemOption
              org.openide.explorer.propertysheet.PropertySheetSettings

All Implemented Interfaces:
  Externalizable, Serializable, HelpCtx.Provider

Deprecated. None of the settings in this class are supported in the new property sheet. The entire implementation has been gutted to do nothing.

    public class PropertySheetSettings

extends SystemOption

Settings for the property sheet.

See Also:
  `PropertySheet`, Serialized Form

Constructor Summary
`PropertySheetSettings()` Deprecated.

Method Summary
`String` | `displayName()` Deprecated.
`Color` | `getDisabledPropertyColor()` Deprecated.
`boolean` | `getDisplayWritableOnly()` Deprecated.
`HelpCtx` | `getHelpCtx()` Deprecated.
`boolean` | `getPlastic()` Deprecated.
`int` | `getPropertyPaintingStyle()` Deprecated.
`int` | `getSortingMode()` Deprecated.
`Color` | `getValueColor()` Deprecated.
`void` | `setDisabledPropertyColor(Color color)` Deprecated.
`void` | `setDisplayWritableOnly(boolean b)` Deprecated.
`void` | `setPlastic(boolean plastic)` Deprecated.
`void` | `setPropertyPaintingStyle(int style)` Deprecated.
`void` | `setSortingMode(int sortingMode)` Deprecated.
`void` | `setValueColor(Color color)` Deprecated.

Methods inherited from class org.openide.options.SystemOption
`clearSharedData, firePropertyChange, getName, isReadExternal, isWriteExternal, readExternal, reset, writeExternal`

Methods inherited from class org.openide.util.SharedClassObject
`addNotify, addPropertyChangeListener, equals, finalize, findObject, findObject, getLock, getProperty, hashCode, initialize, putProperty, putProperty, removeNotify, removePropertyChangeListener, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertySheetSettings

    public PropertySheetSettings()

  Deprecated.

Method Detail

### displayName

    public String displayName()

  Deprecated.
  Specified by:
    `displayName` in class `SystemOption`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Deprecated.
  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Overrides:
    `getHelpCtx` in class `SystemOption`

### setPropertyPaintingStyle

    public void setPropertyPaintingStyle(int style)

  Deprecated.

### getPropertyPaintingStyle

    public int getPropertyPaintingStyle()

  Deprecated.

### setSortingMode

    public void setSortingMode(int sortingMode)

  Deprecated.

### getSortingMode

    public int getSortingMode()

  Deprecated.

### setPlastic

    public void setPlastic(boolean plastic)

  Deprecated.

### getPlastic

    public boolean getPlastic()

  Deprecated.

### setValueColor

    public void setValueColor(Color color)

  Deprecated.

### getValueColor

    public Color getValueColor()

  Deprecated.

### setDisabledPropertyColor

    public void setDisabledPropertyColor(Color color)

  Deprecated.

### getDisabledPropertyColor

    public Color getDisabledPropertyColor()

  Deprecated.

### setDisplayWritableOnly

    public void setDisplayWritableOnly(boolean b)

  Deprecated.

### getDisplayWritableOnly

    public boolean getDisplayWritableOnly()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.explorer 6.5.22 1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.